Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.start
Class FilenameComparator

    java.lang.Object
      org.eclipse.jetty.start.FilenameComparator

All Implemented Interfaces:
  java.util.Comparator<java.io.File>

    public class FilenameComparator

extends java.lang.Object
implements java.util.Comparator<java.io.File>

Smart comparator for filenames, with natural language sorting, and files sorted before sub directories.

Field Summary
`static FilenameComparator` | `INSTANCE`

Constructor Summary
`FilenameComparator()`

Method Summary
`int` | `compare(java.io.File o1, java.io.File o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INSTANCE

    public static final FilenameComparator INSTANCE

Constructor Detail

### FilenameComparator

    public FilenameComparator()

Method Detail

### compare

    public int compare(java.io.File o1,
                       java.io.File o2)

  Specified by:
    `compare` in interface `java.util.Comparator<java.io.File>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.